# Remarks

Run `make install` or `./install.zsh`

## Fonts for p10k

`fonts` needs to be installed manually

## tmux 

### Plugin and Theme Installation

Start `tmux` and press `<prefix>` (`ctrl+y`) followed by `I` (capital i) to install plugins and theme.

### Sessions

Sessionscripts in `tmux` might only work properly with `.ssh/config`

## Fixes

### Docker-Autocompletion

`docker-autocompletion` might report `compinit:501: no such file or directory: /usr/share/zsh/vendor-completions/_docker`. The file is a symlink to `/mnt/wsl/docker-desktop/cli-tools/usr/share/zsh/vendor-completions/_docker` which doesn't exist if Docker-Desktop isn't running. A workaround is to replace the symlink with an copy of the real file:

```
sudo rm -rf /usr/share/zsh/vendor-completions/_docker
sudo cp /mnt/wsl/docker-desktop/cli-tools/usr/share/zsh/vendor-completions/_docker /usr/share/zsh/vendor-completions/
sudo chattr +i /usr/share/zsh/vendor-completions/_docker
```
